transformers-0.3.0.0: Concrete functor and monad transformers

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org
Safe Haskell | Safe-Inferred

Data.Functor.Reverse

Description

Making functors whose elements are notionally in the reverse order from the original functor.

Synopsis

- newtype Reverse f a = Reverse {
  - getReverse :: f a
  }

# Documentation

newtype Reverse f a Source

The same functor, but with `Foldable` and `Traversable` instances that process the elements in the reverse order.

Constructors

Reverse |
Fields getReverse :: f a

Instances

Functor f => Functor (Reverse f) | Derived instance.
Applicative f => Applicative (Reverse f) | Derived instance.
Foldable f => Foldable (Reverse f) | Fold from right to left.
Traversable f => Traversable (Reverse f) | Traverse from right to left.
Alternative f => Alternative (Reverse f) | Derived instance.